Bug 66393 - "a2ps -X koi8-r" prints empty space instead of the ~ (tilde) symbol
"a2ps -X koi8-r" prints empty space instead of the ~ (tilde) symbol
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: a2ps (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-09 18:31 EDT by Aleksey Nogin
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-21 09:30:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2002-06-09 18:31:23 EDT
Reproducible: always.

To reproduce : create an arbitrary tetx file containing a ~ symbol and run a2ps
on it with -X koi8-r option.

Expected: some ~-like symbol in the output
Actual: empty space instead of it.

As far as I understand it, the problem comes from the fact that
/usr/share/a2ps/encoding/koi8.edf specify using "tilde" for ~ while the fonts
that are used for Cyrillics output only have "asciitilde", but no "tilde". And
indeed, replacing "tilde" with "asciitilde" in koi8.edf solves the problem,
although I have no idea whether this is a reasonable solution or an ugly hack...
Comment 1 Tim Waugh 2002-06-21 09:30:41 EDT
Looks reasonable to me.  Fixed in a2ps-4.13b-22.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.